You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     v...@freebsd.org
Last committer: anto...@freebsd.org
Ident:          $FreeBSD: head/textproc/libextractor/Makefile 350213 2014-04-05 
10:42:18Z antoine $
Log URL:        
http://beefy2.isc.freebsd.org/bulk/10amd64-default/2014-05-15_18h38m43s/logs/libextractor-0.6.2_16.log
Build URL:      
http://beefy2.isc.freebsd.org/bulk/10amd64-default/2014-05-15_18h38m43s
Log:

====>> Building textproc/libextractor
build started at Thu May 15 22:40:03 UTC 2014
port directory: /usr/ports/textproc/libextractor
building for: FreeBSD 10amd64-default-job-22 10.0-RELEASE-p1 FreeBSD 
10.0-RELEASE-p1 amd64
maintained by: v...@freebsd.org
Makefile ident:      $FreeBSD: head/textproc/libextractor/Makefile 350213 
2014-04-05 10:42:18Z antoine $
Poudriere version: 3.1-pre
Host OSVERSION: 1100013
Jail OSVERSION: 1000510

---Begin Environment---
OSVERSION=1000510
UNAME_v=FreeBSD 10.0-RELEASE-p1
UNAME_r=10.0-RELEASE-p1
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/build/10amd64-default/ref
PKG_EXT=txz
tpid=63570
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=libextractor-0.6.2_16
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
OLDPWD=/usr/local/poudriere/data/build/10amd64-default/ref/poudriere/rdeps
PWD=/usr/local/poudriere/data/build/10amd64-default/ref/poudriere/pool
MASTERNAME=10amd64-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for 
libextractor-0.6.2_16:
     EXIV2=on: EXIF and IPTC metadata support via exiv2
     FFMPEG=on: FFmpeg support (WMA, AIFF, AC3, APE...)
     FLAC=on: FLAC lossless audio codec support
     GSF=on: GSF (OLE2 (MS office) support)
     MPEG2=on: MPEG-2 video support via libmpeg2
     POPPLER=on: PDF and PS file support via poppler
     QT=on
     RPM=on: RPM support
     VORBIS=on: Ogg Vorbis audio codec support
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--
--disable-ltdl-install --with-qt=/usr/local --enable-ffmpeg --prefix=/usr/local 
${_LATE_CONFIGURE_ARGS}
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" PYTHON="/usr/local/bin/python2.7" PKG_CONFIG=pkgconf 
TMPDIR="/tmp" TMPDIR="/tmp" SHELL=/bin/sh CONFIG_SHELL=/bin/sh 
CONFIG_SITE=/usr/ports/Templates/config.site lt_cv_sys_max_cmd_len=262144
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 
-pipe -fno-strict-aliasing"  CPP="cpp" CPPFLAGS="-I/usr/local/include/ffmpeg0 
-I/usr/local/include"  LDFLAGS=" -L/usr/local/lib/ffmpeg0 -L/usr/local/lib 
-L/usr/local/lib -L/usr/local/lib/qt4"  CXX="c++" CXXFLAGS="-O2 -pipe 
-fno-strict-aliasing"  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s 
-o root -g wheel -m 555"  BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444" 
 BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PYTHON_INCLUDEDIR=include/python2.7
PYTHON_LIBDIR=lib/python2.7
PYTHON_PLATFORM=freebsd10
PYTHON_SITELIBDIR=lib/python2.7/site-packages
PYTHON_VERSION=python2.7
EXIV2=""
FLAC=""
MPEG2=""
VORBIS=""
GSF=""
POPPLER=""
RPM=""
QT=""
FFMPEG=""
OSREL=10.0
PREFIX=%D
LOCALBASE=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
PORTDATA=""
LIB32DIR=lib
GTK2_VERSION="2.10.0"
GTK3_VERSION="3.0.0"
DOCSDIR="share/doc/libextractor"
EXAMPLESDIR="share/examples/libextractor"
DATADIR="share/libextractor"
WWWDIR="www/libextractor"
ETCDIR="etc/libextractor"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/libextractor
DOCSDIR=/usr/local/share/doc/libextractor
EXAMPLESDIR=/usr/local/share/examples/libextractor
WWWDIR=/usr/local/www/libextractor
ETCDIR=/usr/local/etc/libextractor
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for libextractor-0.6.2_16
=======================<phase: check-sanity   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   libextractor-0.6.2_16 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.2.7_2.txz
Installing pkg-1.2.7_2... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of libextractor-0.6.2_16
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by libextractor-0.6.2_16 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by libextractor-0.6.2_16 for building
=> SHA256 Checksum OK for libextractor-0.6.2.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by libextractor-0.6.2_16 for building
===>  Extracting for libextractor-0.6.2_16
=> SHA256 Checksum OK for libextractor-0.6.2.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for libextractor-0.6.2_16
===========================================================================
=======================<phase: build-depends  >============================
===>   libextractor-0.6.2_16 depends on file: /usr/local/bin/python2.7 - not 
found
===>    Verifying install for /usr/local/bin/python2.7 in 
/usr/ports/lang/python27
===>   Installing existing package /packages/All/python27-2.7.6_4.txz
Installing python27-2.7.6_4...Installing gettext-0.18.3.1_1... done
 done
====
Note that some of the standard modules are provided as separate
ports since they require extra dependencies:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

Install them as needed.
====
===>   Returning to build of libextractor-0.6.2_16
===>   libextractor-0.6.2_16 depends on executable: pkgconf - not found
===>    Verifying install for pkgconf in /usr/ports/devel/pkgconf
===>   Installing existing package /packages/All/pkgconf-0.9.5.txz
Installing pkgconf-0.9.5... done
===>   Returning to build of libextractor-0.6.2_16
===>   libextractor-0.6.2_16 depends on file: /usr/local/bin/intltool-extract - 
not found
===>    Verifying install for /usr/local/bin/intltool-extract in 
/usr/ports/textproc/intltool
===>   Installing existing package /packages/All/intltool-0.50.2.txz
Installing intltool-0.50.2...Installing p5-XML-Parser-2.41_1...Installing 
expat-2.1.0... done
Installing perl5-5.16.3_9... done
 done
 done
===>   Returning to build of libextractor-0.6.2_16
===========================================================================
=======================<phase: lib-depends    >============================
===>   libextractor-0.6.2_16 depends on shared library: libexiv2.so - not found
===>    Verifying for libexiv2.so in /usr/ports/graphics/exiv2
===>   Installing existing package /packages/All/exiv2-0.24_1,1.txz
Installing exiv2-0.24_1,1... done
===>   Returning to build of libextractor-0.6.2_16
===>   libextractor-0.6.2_16 depends on shared library: libpoppler.so - not 
found
===>    Verifying for libpoppler.so in /usr/ports/graphics/poppler
===>   Installing existing package /packages/All/poppler-0.24.5_3.txz
Installing poppler-0.24.5_3...Installing cairo-1.10.2_10,2...Installing 
fontconfig-2.11.0_3,1...Installing freetype2-2.5.3_2... done
Running fc-cache to build fontconfig cache...
/usr/local/share/fonts: skipping, no such directory
/usr/local/lib/X11/fonts: caching, new cache contents: 0 fonts, 1 dirs
/usr/local/lib/X11/fonts/local: caching, new cache contents: 0 fonts, 0 dirs
/root/.local/share/fonts: skipping, no such directory
<snip>
checking how to link with libiconv... /usr/local/lib/libiconv.so -Wl,-rpath 
-Wl,/usr/local/lib
checking for GNU gettext in libintl... yes
checking whether to use NLS... yes
checking where the gettext function comes from... external libintl
checking how to link with libintl... /usr/local/lib/libintl.so -Wl,-rpath 
-Wl,/usr/local/lib
checking if the linker (/usr/bin/ld) is GNU ld... (cached) yes
checking for glib... checking for pkg-config... /usr/local/bin/pkg-config
checking for GLIB - version >= 2.0.0... yes (version 2.36.3)
checking whether glib is disabled... checking for gtk... checking for 
pkg-config... (cached) /usr/local/bin/pkg-config
checking for GTK+ - version >= 2.6.0... yes (version 2.24.22)
checking for Qt... /usr/local
checking Qt/qpixmap.h usability... yes
checking Qt/qpixmap.h presence... yes
checking for Qt/qpixmap.h... yes
checking for _ZN7QPixmap12defaultDepthEv in -lQtGui4... no
checking for _ZN7QPixmap12defaultDepthEv in -lQtGui... yes
checking for Qt SVG... /usr/local
checking Qt/qsvgrenderer.h usability... no
checking Qt/qsvgrenderer.h presence... no
checking for Qt/qsvgrenderer.h... no
checking pkg-config is at least version 0.9.0... yes
checking for GSF... yes
checking for GSF_GNOME... 
checking for gsf_init in -lgsf-1... yes
checking for zzuf... 0
checking whether to enable the FFmpeg thumbnail extractor... yes
checking libavutil/avutil.h usability... yes
checking libavutil/avutil.h presence... yes
checking for libavutil/avutil.h... yes
checking ffmpeg/avutil.h usability... no
checking ffmpeg/avutil.h presence... no
checking for ffmpeg/avutil.h... no
checking libavformat/avformat.h usability... yes
checking libavformat/avformat.h presence... yes
checking for libavformat/avformat.h... yes
checking ffmpeg/avformat.h usability... no
checking ffmpeg/avformat.h presence... no
checking for ffmpeg/avformat.h... no
checking libavcodec/avcodec.h usability... yes
checking libavcodec/avcodec.h presence... yes
checking for libavcodec/avcodec.h... yes
checking ffmpeg/avcodec.h usability... no
checking ffmpeg/avcodec.h presence... no
checking for ffmpeg/avcodec.h... no
checking libswscale/swscale.h usability... yes
checking libswscale/swscale.h presence... yes
checking for libswscale/swscale.h... yes
checking ffmpeg/swscale.h usability... no
checking ffmpeg/swscale.h presence... no
checking for ffmpeg/swscale.h... no
checking whether -export-symbols-regex works... yes
checking our pkgconfig libname... libextractor
checking our pkgconfig version... 0.6.2
checking our pkgconfig_libdir... ${libdir}/pkgconfig
expanded our pkgconfig_libdir... /usr/local/lib/pkgconfig
checking our pkgconfig_libfile... libextractor.pc
checking our package / suffix... libextractor / 
checking our pkgconfig description... Metadata extraction library
checking our pkgconfig requires... 
checking our pkgconfig ext libs... -lextractor
checking our pkgconfig cppflags... -I/usr/local/include/ffmpeg0 
-I/usr/local/include
checking our pkgconfig ldflags... -L/usr/local/lib/ffmpeg0 -L/usr/local/lib 
-L/usr/local/lib -L/usr/local/lib/qt4
noninstalled pkgconfig -L 
/wrkdirs/usr/ports/textproc/libextractor/work/libextractor-0.6.2/src/.libs
noninstalled pkgconfig -I 
/wrkdirs/usr/ports/textproc/libextractor/work/libextractor-0.6.2/.
configure: creating ./config.status
config.status: creating Makefile
config.status: creating po/Makefile.in
config.status: creating m4/Makefile
config.status: creating contrib/macosx/Info.plist
config.status: creating contrib/macosx/Pkg-Info.plist
config.status: creating doc/Makefile
config.status: creating src/Makefile
config.status: creating src/include/Makefile
config.status: creating src/intlemu/Makefile
config.status: creating src/common/Makefile
config.status: creating src/main/Makefile
config.status: creating src/plugins/Makefile
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing libtool commands
config.status: executing po-directories commands
config.status: creating po/POTFILES
config.status: creating po/Makefile
config.status: executing libextractor.pc commands
config.status: creating libextractor.pc.in
config.status: creating libextractor.pc
config.status: creating libextractor-uninstalled.pc
config.status: creating libextractor-uninstalled.sh
configure: NOTICE: FFmpeg thumbnailer plugin enabled (security untested)
configure: NOTICE: libpoppler not found (will not compile pdf plugin)
===========================================================================
=======================<phase: build          >============================
===>  Building for libextractor-0.6.2_16
/usr/bin/make  all-recursive
Making all in m4
Making all in po
Making all in src
Making all in include
Making all in .
Making all in main
Making all in .
/bin/sh ../../libtool  --tag=CC   --mode=compile cc -DHAVE_CONFIG_H -I. -I../.. 
-I../../src/include  -DPLUGINDIR=\"libextractor\" 
-DPLUGININSTDIR=\"/usr/local/lib/libextractor\"  -I/usr/local/include/ffmpeg0 
-I/usr/local/include  -O2 -pipe -fno-strict-aliasing -no-cpp-precomp -MT 
libextractor_la-extractor.lo -MD -MP -MF .deps/libextractor_la-extractor.Tpo -c 
-o libextractor_la-extractor.lo `test -f 'extractor.c' || echo './'`extractor.c
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include 
-DPLUGINDIR=\"libextractor\" -DPLUGININSTDIR=\"/usr/local/lib/libextractor\" 
-I/usr/local/include/ffmpeg0 -I/usr/local/include -O2 -pipe 
-fno-strict-aliasing -no-cpp-precomp -MT libextractor_la-extractor.lo -MD -MP 
-MF .deps/libextractor_la-extractor.Tpo -c extractor.c  -fPIC -DPIC -o 
.libs/libextractor_la-extractor.o
mv -f .deps/libextractor_la-extractor.Tpo .deps/libextractor_la-extractor.Plo
/bin/sh ../../libtool  --tag=CC   --mode=compile cc -DHAVE_CONFIG_H -I. -I../.. 
-I../../src/include  -DPLUGINDIR=\"libextractor\" 
-DPLUGININSTDIR=\"/usr/local/lib/libextractor\"  -I/usr/local/include/ffmpeg0 
-I/usr/local/include  -O2 -pipe -fno-strict-aliasing -no-cpp-precomp -MT 
libextractor_la-extractor_metatypes.lo -MD -MP -MF 
.deps/libextractor_la-extractor_metatypes.Tpo -c -o 
libextractor_la-extractor_metatypes.lo `test -f 'extractor_metatypes.c' || echo 
'./'`extractor_metatypes.c
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include 
-DPLUGINDIR=\"libextractor\" -DPLUGININSTDIR=\"/usr/local/lib/libextractor\" 
-I/usr/local/include/ffmpeg0 -I/usr/local/include -O2 -pipe 
-fno-strict-aliasing -no-cpp-precomp -MT libextractor_la-extractor_metatypes.lo 
-MD -MP -MF .deps/libextractor_la-extractor_metatypes.Tpo -c 
extractor_metatypes.c  -fPIC -DPIC -o 
.libs/libextractor_la-extractor_metatypes.o
extractor_metatypes.c:457:13: warning: comparison of unsigned enum expression < 
0 is always false [-Wtautological-compare]
  if ((type < 0) || (type >= HIGHEST_METATYPE_NUMBER))
       ~~~~ ^ ~
extractor_metatypes.c:474:13: warning: comparison of unsigned enum expression < 
0 is always false [-Wtautological-compare]
  if ((type < 0) || (type >= HIGHEST_METATYPE_NUMBER))
       ~~~~ ^ ~
2 warnings generated.
mv -f .deps/libextractor_la-extractor_metatypes.Tpo 
.deps/libextractor_la-extractor_metatypes.Plo
/bin/sh ../../libtool  --tag=CC   --mode=compile cc -DHAVE_CONFIG_H -I. -I../.. 
-I../../src/include  -DPLUGINDIR=\"libextractor\" 
-DPLUGININSTDIR=\"/usr/local/lib/libextractor\"  -I/usr/local/include/ffmpeg0 
-I/usr/local/include  -O2 -pipe -fno-strict-aliasing -no-cpp-precomp -MT 
libextractor_la-extractor_print.lo -MD -MP -MF 
.deps/libextractor_la-extractor_print.Tpo -c -o 
libextractor_la-extractor_print.lo `test -f 'extractor_print.c' || echo 
'./'`extractor_print.c
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include 
-DPLUGINDIR=\"libextractor\" -DPLUGININSTDIR=\"/usr/local/lib/libextractor\" 
-I/usr/local/include/ffmpeg0 -I/usr/local/include -O2 -pipe 
-fno-strict-aliasing -no-cpp-precomp -MT libextractor_la-extractor_print.lo -MD 
-MP -MF .deps/libextractor_la-extractor_print.Tpo -c extractor_print.c  -fPIC 
-DPIC -o .libs/libextractor_la-extractor_print.o
In file included from extractor_print.c:24:
./iconv.c:51:6: warning: passing 'char **' to parameter of type 'const char **' 
discards qualifiers in nested pointer types 
[-Wincompatible-pointer-types-discards-qualifiers]
            (char**) &in,
            ^~~~~~~~~~~~
/usr/local/include/iconv.h:83:48: note: passing argument to parameter 'inbuf' 
here
extern size_t iconv (iconv_t cd, const char* * inbuf, size_t *inbytesleft, 
char* * outbuf, size_t *outbytesleft);
                                               ^
1 warning generated.
mv -f .deps/libextractor_la-extractor_print.Tpo 
.deps/libextractor_la-extractor_print.Plo
/bin/sh ../../libtool --tag=CC    --mode=link cc  -O2 -pipe 
-fno-strict-aliasing -no-cpp-precomp  -export-dynamic -no-undefined 
-export-symbols-regex "EXTRACTOR_[a-zA-Z0-9_]*" -version-info 3:2:0 
-L/usr/local/lib/ffmpeg0 -L/usr/local/lib -L/usr/local/lib -L/usr/local/lib/qt4 
-o libextractor.la -rpath /usr/local/lib libextractor_la-extractor.lo  
libextractor_la-extractor_metatypes.lo  libextractor_la-extractor_print.lo 
-lltdl -lz -lbz2 /usr/local/lib/libiconv.so -Wl,-rpath -Wl,/usr/local/lib 
-L/usr/local/lib -lintl -R/usr/local/lib
libtool: link: /usr/bin/nm -B  .libs/libextractor_la-extractor.o 
.libs/libextractor_la-extractor_metatypes.o 
.libs/libextractor_la-extractor_print.o   | sed -n -e 's/^.*[       
]\([ABCDGIRSTW][ABCDGIRSTW]*\)[         ][      
]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p' | /usr/bin/sed 's/.* //' | sort | 
uniq > .libs/libextractor.exp
libtool: link: /usr/bin/egrep -e "EXTRACTOR_[a-zA-Z0-9_]*" 
".libs/libextractor.exp" > ".libs/libextractor.expT"
libtool: link: mv -f ".libs/libextractor.expT" ".libs/libextractor.exp"
libtool: link: cc -shared  .libs/libextractor_la-extractor.o 
.libs/libextractor_la-extractor_metatypes.o 
.libs/libextractor_la-extractor_print.o   -Wl,-rpath -Wl,/usr/local/lib 
-Wl,-rpath -Wl,/usr/local/lib -L/usr/local/lib/ffmpeg0 -L/usr/local/lib 
-L/usr/local/lib/qt4 /usr/local/lib/libltdl.so -lz -lbz2 
/usr/local/lib/libintl.so  -Wl,-rpath -Wl,/usr/local/lib   -Wl,-soname 
-Wl,libextractor.so.3 -Wl,-retain-symbols-file -Wl,.libs/libextractor.exp -o 
.libs/libextractor.so.3
libtool: link: (cd ".libs" && rm -f "libextractor.so" && ln -s 
"libextractor.so.3" "libextractor.so")
libtool: link: (cd ".libs" && rm -f "libextractor.so" && ln -s 
"libextractor.so.3" "libextractor.so")
libtool: link: ( cd ".libs" && rm -f "libextractor.la" && ln -s 
"../libextractor.la" "libextractor.la" )
cc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include    
-I/usr/local/include/ffmpeg0 -I/usr/local/include  -O2 -pipe 
-fno-strict-aliasing -no-cpp-precomp -MT extract.o -MD -MP -MF 
.deps/extract.Tpo -c -o extract.o extract.c
In file included from extract.c:199:
./iconv.c:51:6: warning: passing 'char **' to parameter of type 'const char **' 
discards qualifiers in nested pointer types 
[-Wincompatible-pointer-types-discards-qualifiers]
            (char**) &in,
            ^~~~~~~~~~~~
/usr/local/include/iconv.h:83:48: note: passing argument to parameter 'inbuf' 
here
extern size_t iconv (iconv_t cd, const char* * inbuf, size_t *inbytesleft, 
char* * outbuf, size_t *outbytesleft);
                                               ^
1 warning generated.
mv -f .deps/extract.Tpo .deps/extract.Po
cc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include    
-I/usr/local/include/ffmpeg0 -I/usr/local/include  -O2 -pipe 
-fno-strict-aliasing -no-cpp-precomp -MT getopt.o -MD -MP -MF .deps/getopt.Tpo 
-c -o getopt.o getopt.c
getopt.c:581:30: warning: implicitly declaring library function 'strcmp' with 
type 'int (const char *, const char *)'
      if (optind != argc && !strcmp (argv[optind], "--"))
                             ^
getopt.c:581:30: note: please include the header <string.h> or explicitly 
provide a declaration for 'strcmp'
getopt.c:659:7: warning: implicitly declaring library function 'strncmp' with 
type 'int (const char *, const char *, unsigned long)'
        if (!strncmp (p->name, nextchar, nameend - nextchar))
             ^
getopt.c:659:7: note: please include the header <string.h> or explicitly 
provide a declaration for 'strncmp'
getopt.c:662:21: warning: implicitly declaring library function 'strlen' with 
type 'unsigned long (const char *)'
                == (unsigned int) strlen (p->name))
                                  ^
getopt.c:662:21: note: please include the header <string.h> or explicitly 
provide a declaration for 'strlen'
getopt.c:711:7: warning: add explicit braces to avoid dangling else 
[-Wdangling-else]
                    else
                    ^
4 warnings generated.
mv -f .deps/getopt.Tpo .deps/getopt.Po
cc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include    
-I/usr/local/include/ffmpeg0 -I/usr/local/include  -O2 -pipe 
-fno-strict-aliasing -no-cpp-precomp -MT getopt1.o -MD -MP -MF 
.deps/getopt1.Tpo -c -o getopt1.o getopt1.c
mv -f .deps/getopt1.Tpo .deps/getopt1.Po
/bin/sh ../../libtool --tag=CC    --mode=link cc  -O2 -pipe 
-fno-strict-aliasing -no-cpp-precomp   -L/usr/local/lib/ffmpeg0 
-L/usr/local/lib -L/usr/local/lib -L/usr/local/lib/qt4 -o extract extract.o 
getopt.o  getopt1.o ../../src/main/libextractor.la -L/usr/local/lib -lintl 
-R/usr/local/lib
libtool: link: cc -O2 -pipe -fno-strict-aliasing -no-cpp-precomp -o 
.libs/extract extract.o getopt.o getopt1.o  -L/usr/local/lib/ffmpeg0 
-L/usr/local/lib -L/usr/local/lib/qt4 ../../src/main/.libs/libextractor.so 
/usr/local/lib/libltdl.so -lz -lbz2 /usr/local/lib/libintl.so -Wl,-rpath 
-Wl,/usr/local/lib
extract.o: In function `print_selected_keywords_grep_friendly':
extract.c:(.text+0xd9c): undefined reference to `libiconv_open'
extract.c:(.text+0xdee): undefined reference to `libiconv_close'
extract.o: In function `print_selected_keywords':
extract.c:(.text+0xec1): undefined reference to `libiconv_open'
extract.c:(.text+0xf5c): undefined reference to `libiconv_close'
extract.o: In function `iconv_helper':
extract.c:(.text+0xfa8): undefined reference to `libiconv'
extract.c:(.text+0x100a): undefined reference to `libiconv'
cc: error: linker command failed with exit code 1 (use -v to see invocation)
*** Error code 1

Stop.
make[5]: stopped in 
/wrkdirs/usr/ports/textproc/libextractor/work/libextractor-0.6.2/src/main
*** Error code 1

Stop.
make[4]: stopped in 
/wrkdirs/usr/ports/textproc/libextractor/work/libextractor-0.6.2/src/main
*** Error code 1

Stop.
make[3]: stopped in 
/wrkdirs/usr/ports/textproc/libextractor/work/libextractor-0.6.2/src
*** Error code 1

Stop.
make[2]: stopped in 
/wrkdirs/usr/ports/textproc/libextractor/work/libextractor-0.6.2
*** Error code 1

Stop.
make[1]: stopped in 
/wrkdirs/usr/ports/textproc/libextractor/work/libextractor-0.6.2
*** Error code 1

Stop.
make: stopped in /usr/ports/textproc/libextractor
===>  Cleaning for libextractor-0.6.2_16
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to